## ibus-chewing 1.5.1

=== Modules/CMakeLists.txt ===
FILE(GLOB CMAKE_FEDORA_MODULES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" "[A-Z]*.cmake")

## Remove Generated Modules
LIST(REMOVE_ITEM CMAKE_FEDORA_MODULES "CTestTestfile.cmake")

LIST(APPEND CMAKE_FEDORA_MODULES cmake_uninstall.cmake.in)
INSTALL(FILES ${CMAKE_FEDORA_MODULES} 
    DESTINATION ${DATA_DIR}/cmake/Modules
    )
