=== debian/changelog ===
ibus-chewing (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump compat to 10.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 19 Jun 2016 15:23:52 +0800

ibus-chewing (1.5.0-1) unstable; urgency=medium

  * new upstream release.
  * Bump Standards-Version to 3.9.8.
  * Remove upstream applied patches.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 06 May 2016 23:20:31 +0800
