=== debian/control ===
Source: ibus-chewing
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Asias He <asias.hejun@gmail.com>,
           Osamu Aoki <osamu@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends: debhelper (>= 9.20160403),
               cmake,
               cmake-fedora (>= 2.4.4+20151201),
               gob2 (>= 2.0.17),
               pkg-config,
               libchewing3-dev (>= 0.3.2-2~),
               libgconf2-dev,
               libibus-1.0-dev (>= 1.3.99.20110419),
               libgtk2.0-dev,
               libx11-dev,
               libxtst-dev
Standards-Version: 3.9.8
Homepage: https://github.com/definite/ibus-chewing
Vcs-Git: https://anonscm.debian.org/git/pkg-ime/ibus-chewing.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ime/ibus-chewing.git

Package: ibus-chewing
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ibus (>= 1.5),
Description: Chewing engine for IBus
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 IBus-chewing is a IBus based IM Engine for Traditional Chinese
