=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # Dependencies
 #
 
-SET(IBUS_CHEWING_DEPENDENCIES CHEWING GLIB2 GTK2 IBUS X11 XTST)
+SET(IBUS_CHEWING_DEPENDENCIES CHEWING GLIB2 GTK2 IBUS X11)
 
 IF(GCONF2_SUPPORT)
     # Schemas
@@ -57,9 +57,9 @@
 
 SET(GOB2_OUTPUT_DIR "${CMAKE_CURRENT_BINARY_DIR}")
 MACRO(GOB_GENERATE name gobFile)
-    SET(GOB_GENERATED_C_${name} 
+    SET(GOB_GENERATED_C_${name}
 	${GOB2_OUTPUT_DIR}/${name}.c)
-    SET(GOB_GENERATED_${name} 
+    SET(GOB_GENERATED_${name}
 	${GOB_GENERATED_C_${name}}
 	"${GOB2_OUTPUT_DIR}/${name}.h"
 	"${GOB2_OUTPUT_DIR}/${name}-private.h"
@@ -67,29 +67,29 @@
 	)
 
     ADD_CUSTOM_COMMAND(OUTPUT ${GOB_GENERATED_${name}}
-	COMMAND ${GOB2_EXECUTABLE} "${gobFile}" 
+	COMMAND ${GOB2_EXECUTABLE} "${gobFile}"
 	-o "${GOB2_OUTPUT_DIR}/"
 	DEPENDS ${gobFile} ${ARGN}
 	)
 ENDMACRO(GOB_GENERATE name gobFile)
 
 
-GOB_GENERATE(ibus-chewing-engine 
+GOB_GENERATE(ibus-chewing-engine
     ${CMAKE_CURRENT_SOURCE_DIR}/IBusChewingEngine.gob
     ${IBUS_CHEWING_ENGINE_SOURCE_INCLUDED_C_FILES}
     )
-GOB_GENERATE(maker-dialog 
-    ${CMAKE_CURRENT_SOURCE_DIR}/MakerDialog.gob 
+GOB_GENERATE(maker-dialog
+    ${CMAKE_CURRENT_SOURCE_DIR}/MakerDialog.gob
     )
 
 ADD_CUSTOM_TARGET(gob2
-    DEPENDS ${GOB_GENERATED_ibus-chewing-engine} 
+    DEPENDS ${GOB_GENERATED_ibus-chewing-engine}
     ${GOB_GENERATED_maker-dialog}
     COMMENT "Preprocess with gob2."
     )
 
 
-SET_SOURCE_FILES_PROPERTIES(${GOB_GENERATED_ibus-chewing-engine} 
+SET_SOURCE_FILES_PROPERTIES(${GOB_GENERATED_ibus-chewing-engine}
     ${GOB_GENERATED_maker-dialog} PROPERTIES GENERATED true
     )
 
@@ -126,14 +126,14 @@
 SET(BACKEND_SOURCE_FILES "")
 
 IF(GSETTINGS_SUPPORT)
-    LIST(APPEND BACKEND_SOURCE_FILES 
+    LIST(APPEND BACKEND_SOURCE_FILES
 	"${CMAKE_SOURCE_DIR}/src/GSettingsBackend.c"
 	"${CMAKE_SOURCE_DIR}/src/GSettingsBackend.h"
 	)
 ENDIF()
 
 IF(GCONF2_SUPPORT)
-    LIST(APPEND BACKEND_SOURCE_FILES 
+    LIST(APPEND BACKEND_SOURCE_FILES
 	"${CMAKE_SOURCE_DIR}/src/GConf2Backend.c"
 	"${CMAKE_SOURCE_DIR}/src/GConf2Backend.h"
 	)
@@ -162,11 +162,11 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/generate-gsettings-schemas.c
 	)
 
-    TARGET_LINK_LIBRARIES(generate-gsettings-schemas 
+    TARGET_LINK_LIBRARIES(generate-gsettings-schemas
 	${COMMON_LIBRARIES}
 	)
 
-    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_GSCHEMA_XML} 
+    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_GSCHEMA_XML}
 	DESTINATION "${GSETTINGS_SCHEMAS_DIR}"
 	)
 
@@ -211,7 +211,7 @@
 
     LIST(APPEND COMMON_LIBRARIES ${GCONF2_LIBRARIES})
 
-    TARGET_LINK_LIBRARIES(generate-gconf-schemas 
+    TARGET_LINK_LIBRARIES(generate-gconf-schemas
 	${COMMON_LIBRARIES} ${BACKEND_LIBRARIES}
 	)
 
@@ -242,7 +242,7 @@
 
 SET(GUI_CORE_SOURCE_FILES ${COMMON_SOURCE_FILES}
     ${BACKEND_SOURCE_FILES}
-    ${GOB_GENERATED_maker-dialog} 
+    ${GOB_GENERATED_maker-dialog}
     ${CMAKE_CURRENT_SOURCE_DIR}/IBusConfigBackend.c
     ${CMAKE_CURRENT_SOURCE_DIR}/IBusConfigBackend.h
     ${CMAKE_CURRENT_SOURCE_DIR}/MakerDialogWidget.c
@@ -252,14 +252,14 @@
 
 
 IF(GSETTINGS_SUPPORT)
-    LIST(APPEND GUI_CORE_SOURCE_FILES 
+    LIST(APPEND GUI_CORE_SOURCE_FILES
 	${CMAKE_CURRENT_SOURCE_DIR}/GSettingsBackend.c
 	${CMAKE_CURRENT_SOURCE_DIR}/GSettingsBackend.h
 	)
 ENDIF()
 
 IF(GCONF2_SUPPORT)
-    LIST(APPEND GUI_CORE_SOURCE_FILES 
+    LIST(APPEND GUI_CORE_SOURCE_FILES
 	${CMAKE_CURRENT_SOURCE_DIR}/GConf2Backend.c
 	${CMAKE_CURRENT_SOURCE_DIR}/GConf2Backend.h
 	)
@@ -282,10 +282,9 @@
     )
 
 ##== ibus-engine-chewing Start ==
-SET(IBUS_ENGINE_CHEWING_LIBRARIES ${COMMON_LIBRARIES} 
+SET(IBUS_ENGINE_CHEWING_LIBRARIES ${COMMON_LIBRARIES}
     ${GTK2_LIBRARIES}
     ${X11_LIBRARIES}
-    ${XTST_LIBRARIES} 
     CACHE INTERNAL "IBUS_ENGINE_CHEWING_LIBRARIES"
     )
