=== debian/changelog ===
ibus-chewing (1.6.1-2) unstable; urgency=medium

  * Team upload.

  [ Changwoo Ryu ]
  * Install executables in /usr/libexec instead of /usr/lib/ibus
    (Closes: #955228)

  [ Boyuan Yang ]
  * Rebuild before Ubuntu 22.04 release.
  * debian/watch: Update to v4 format and use correct GitHub watch grammar.
  * debian/rules: Drop unused dh_missing override and ddeb-migration.
  * debian/: Bump debhelper compat to v13.
  * debian/source/local-options: Dropped, useless.
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jan 2022 18:51:23 -0500

ibus-chewing (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.3.0.
  * Bump compat to 12.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 05 Jan 2019 10:35:14 +0800

ibus-chewing (1.5.1-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Drop obsolete Build-Depends on libgconf2-dev (Closes: #894319)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 27 May 2018 16:19:48 +0800

ibus-chewing (1.5.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4.
    * Use https in Format in d/copyright.
  * Bump compat to 11.
  * Update Maintainer to new mailing list (Closes: #899544).
  * Update Vcs-* fields to salsa.debian.org.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 27 May 2018 16:16:06 +0800
