=== debian/control ===
Source: ibus-chewing
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders: Asias He <asias.hejun@gmail.com>,
           Osamu Aoki <osamu@debian.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               cmake-fedora (>= 2.4.4+20151201),
               gob2 (>= 2.0.17),
               pkg-config,
               libchewing3-dev (>= 0.3.2-2~),
               libibus-1.0-dev (>= 1.3.99.20110419),
               libgtk2.0-dev,
               libx11-dev,
               libxtst-dev
Standards-Version: 4.6.0
Homepage: https://github.com/definite/ibus-chewing
Vcs-Git: https://salsa.debian.org/debian/ibus-chewing.git
Vcs-Browser: https://salsa.debian.org/debian/ibus-chewing

Package: ibus-chewing
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ibus (>= 1.5.22-2),
Description: Chewing engine for IBus
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 IBus-chewing is a IBus based IM Engine for Traditional Chinese
