## ibus-chewing 1.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -194,10 +194,10 @@
     PKG_CONFIG ${GLIB2_PKG_CONFIG} glib-2.0 DEVEL
     )
 
-MANAGE_DEPENDENCY(REQUIRES GTK2  REQUIRED)
-SET(GTK2_PKG_CONFIG "gtk+-2.0" CACHE STRING "gtk pkg-config name")
-MANAGE_DEPENDENCY(BUILD_REQUIRES GTK2 REQUIRED
-    PKG_CONFIG ${GTK2_PKG_CONFIG} DEVEL
+MANAGE_DEPENDENCY(REQUIRES GTK3  REQUIRED)
+SET(GTK3_PKG_CONFIG "gtk+-3.0" CACHE STRING "gtk pkg-config name")
+MANAGE_DEPENDENCY(BUILD_REQUIRES GTK3 REQUIRED
+    PKG_CONFIG ${GTK3_PKG_CONFIG} DEVEL
     )
 
 MANAGE_DEPENDENCY(BUILD_REQUIRES GOB2 VER "2.0.16" REQUIRED
