=== src/CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # Dependencies
 #
 
-SET(IBUS_CHEWING_DEPENDENCIES CHEWING GLIB2 GTK2 IBUS X11)
+SET(IBUS_CHEWING_DEPENDENCIES CHEWING GLIB2 GTK3 IBUS X11)
 
 IF(GCONF2_SUPPORT)
     # Schemas
@@ -273,7 +273,7 @@
 
 TARGET_LINK_LIBRARIES(${IBUS_SETUP_CHEWING}
     ${COMMON_LIBRARIES}
-    ${GTK2_LIBRARIES}
+    ${GTK3_LIBRARIES}
     )
 
 MANAGE_FILE_INSTALL(TARGETS ${IBUS_SETUP_CHEWING} ARGS
@@ -283,7 +283,7 @@
 
 ##== ibus-engine-chewing Start ==
 SET(IBUS_ENGINE_CHEWING_LIBRARIES ${COMMON_LIBRARIES}
-    ${GTK2_LIBRARIES}
+    ${GTK3_LIBRARIES}
     ${X11_LIBRARIES}
     CACHE INTERNAL "IBUS_ENGINE_CHEWING_LIBRARIES"
     )
