=== debian/changelog ===
ibus-chewing (1.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Update build-dependency to use GTK3.
  * debian/: Apply "wrap-and-sort -abst".

 -- Boyuan Yang <byang@debian.org>  Tue, 19 Dec 2023 10:39:44 -0500

ibus-chewing (1.6.1-3) UNRELEASED; urgency=medium

  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Fri, 14 Oct 2022 21:56:58 -0000
