=== debian/control ===
Source: ibus-chewing
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Asias He <asias.hejun@gmail.com>,
 Osamu Aoki <osamu@debian.org>,
 ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends:
 cmake,
 cmake-fedora (>= 2.4.4+20151201),
 debhelper-compat (= 13),
 gob2 (>= 2.0.17),
 libchewing3-dev (>= 0.3.2-2~),
 libgtk-3-dev,
 libibus-1.0-dev (>= 1.3.99.20110419),
 libx11-dev,
 libxtst-dev,
 pkg-config,
Standards-Version: 4.6.1
Homepage: https://github.com/definite/ibus-chewing
Vcs-Git: https://salsa.debian.org/debian/ibus-chewing.git
Vcs-Browser: https://salsa.debian.org/debian/ibus-chewing

Package: ibus-chewing
Architecture: any
Depends:
 ibus (>= 1.5.22-2),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Chewing engine for IBus
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 IBus-chewing is a IBus based IM Engine for Traditional Chinese
